**`Mohan Gutta`[NAME]** -NL- **`DevOps Engineer`[EMPLOYER_ROLE]** -NL- **`gutta7856@gmail.com`[EMAILS_EMAIL]** -NL- **`(214) 326-4044`[PHONES_PHONE]** -NL- **`Professional Summary:`[SUMMARY_HEADING]** -NL-  Strong experience in IT industry around 14 years in various roles. -NL-  8 years of experience as AWS DevOps engineer with excellent experience in Software Integration, Configuration, -NL- packaging, building, automating, managing and releasing code from one environment to another environment and -NL- deploying to servers. -NL-  Strong experience with migrated key systems from on-perm hosting to Amazon Web Services. -NL-  Experience in architecting and managing AWS cloud infrastructure. -NL-  Experience in Configuration Management, Cloud Infrastructure, and Automation like Amazon Web Services -NL- (AWS), Ant, Maven, Jenkins, Chef, SVN, GitHub, Clear Case, Tomcat, and Linux. -NL-  Expert in integrating various tools and application servers. -NL-  Excellent hands on experience on configuration management tool like Chef, Puppet and Ansible. -NL-  Knowledge on service-oriented architecture (SOA), workflows and web services using XML, SOAP, and WSDL. -NL-  Strong experience with web/application servers like Apache Tomcat, Jetty, JBoss, IBM Web Sphere, Web -NL- Logic. -NL-  Use Nagios to monitor Linux system activities and set and configure Apache web servers. -NL-  Managed file system added disks and created partitions on virtual Linux servers. -NL-  Monitored the servers and Linux scripts regularly and perform troubleshooting steps Tested and installed the latest -NL- software on server for end-users. -NL-  Excellence in using configuration management tools like Puppet & Chef. -NL-  Automated the cloud deployments using Puppet and AWS Cloud Formation Templates. -NL-  Designed, configured and deployed Amazon Web Services (AWS) for a multitude of applications utilizing the -NL- AWS stack (Including EC2, VPC, Glacier, Route53, S3, RDS, Cloud watch, Cloud Trial, WAF, SNS and IAM), focusing -NL- on high-availability, fault tolerance, and auto-scaling. -NL-  Provisioned AWS S3 buckets for backup of the application and sync these contents with remaining s3 backups, by -NL- creating entry for AWS S3 SYNC in crontab. -NL-  Experience in deploying the code through web application servers like Web Sphere/Web Logic/ Apache -NL- Tomcat/JBOSS and Tomcat over AWS Cloud. -NL-  Worked with System Engineers, QA, business and other teams to ensure automated test efforts are tightly -NL- integrated with the build system and in fixing the error while doing the Building and Deployment. -NL-  Worked on "Continuous Delivery" project, streamlining Dev workflow, integrating automated QE validation, and -NL- delivering standardized releases based on Docker to Operations for deployment. -NL-  Extensively worked on Hudson, Jenkins, Build Forge and Bamboo for continuous integration and for End to End -NL- automation for all build and deployments. -NL-  Good understanding of the principles and best practices of Software Configuration Management (SCM) in Agile, -NL- scrum, and Waterfall methodologies. -NL-  Ability to work closely with teams, in order to ensure high quality, timely delivery of builds &releases. -NL-  Involved in setting up JIRA as defect tracking system and configured various workflows, customizations and -NL- plugins for the JIRA bug/issue tracker. -NL-  Virtualized the servers on AWS using the Docker, create the Docker files and version control. -NL-  Configured DOCKER Containers for Branching purpose and deployed using Elastic Beanstalk. -NL-  Ability to manage SCM processes which include compiling, packaging, deploying and application configurations. -NL-  Expertise in Application Deployments & Environment configuration using Chef, Puppet. -NL-  Experienced in working on Dev Ops/Agile operations process and tools area (Code review, unit test automation, -NL- Build & Release automation, Environment, Service, Incident and Change Management). -NL-  Worked closely with software developers and DevOps to debug software and system problems. Have excellent -NL- logical, analytical & debugging skills. -NL-  Possessed high working qualities with good interpersonal skills, highly motivated, fast learner, good team player -NL- and very proactive in problem solving with providing best solutions -NL-  Had proficient time-management skills, able to deliver assignments with superior quality on schedule and within -NL- budget. -NL- **`Technical Skills:`[SKILLS_HEADING]** -NL- Continuous Integration tools -NL- Jenkins, Bamboo, Hudson, Gradle -NL- Configuration Management Tools -NL- Chef, Puppet, Ansible, Gradle, Docker, Splunk -NL- Automation/Development Tools -NL- Dockers, Vagrant -NL- Version Control Tools -NL- Subversion(SVN), GIT, GIT Hub, TFS. -NL- Build Tools -NL- Ant, Maven -NL- AWS Services -NL- EC2, ELB, VPC, RDS, AMI, IAM, Cloud formation, S3, Cloud watch, Cloud -NL- trial, SNS, SQS, EBS, Route 53 -NL- Bug Tracking tools -NL- JIRA, Bugzilla, IBM Clear Quest, HP Quality Center -NL- Databases -NL- Oracle, My SQL, NoSQL, DB2, MongoDB, Cassandra DB -NL- Linux Flavors -NL- Centos 6.5,7, Ubuntu, Red hat, Solaris. -NL- Operating Systems -NL- Windows 98/XP/NT/2000/2003/2008, UNIX, Linux, Ubuntu, -NL- RHEL, Debian -NL- Scripting Languages -NL- Shell scripting, Java Script, Ruby, Python, Perl, Bash -NL- Web/Application Servers -NL- WebSphere, Apache, Tomcat, JBOSS, WebLogic -NL- Web Technologies -NL- HTML, CSS, J Query, Java Script, XML, JSON -NL- **`Education:`[EDUCATION_HEADING]** -NL- **`Bachelor of Technology`[EDUCATION_INSTITUTE]** in **`Engineering`[EDUCATION_DEGREE]**. -NL- AWS certified solution architect. -NL- **`Professional experience:`[WORK_EXPERIENCE_HEADING]** -NL- Client: **`Charles Schwab`[EMPLOYER_COMPANY_NAME]**, Austin, TX. -NL- **`DevOps Engineer`[EMPLOYER_ROLE]** -NL- March 2018 – till date -NL- Responsibilities: -NL-  Helped migrating and managing multiple applications from on premise to cloud using AWS services like S3, -NL- Glacier, EC2, RDS, SQS, SNS, SES, Cloud Formation, VPC etc. -NL-  Configured and maintained user accounts for dev, QA, and production teams and created roles for EC2, RDS, S3, -NL- Cloud Watch, EBS resources to communicate with each other using IAM -NL-  Configured and managed source code using Get and resolved code merging conflicts in collaboration with -NL- application developers. -NL-  Provided consistent environment using Kubernetes for deployment scaling and load balancing to the application -NL- from dev through production, easing the code development and deployment pipeline by implementing Docker -NL- containerization with multiple namespace -NL-  Integrated Docker container based test infrastructure to Jenkins CI test flow and set up build environment -NL- integrating with Git and Jira to trigger builds using Web Hooks and Slave Machines -NL-  Linux and Windows servers upgrade and Patching. Performance troubleshoot and root cause investigation -NL-  Bookshelf, Food Critic and Chef Spec. -NL-  Implementing new projects builds framework using Jenkins & Maven as build framework tools. -NL-  Implementing a Continuous Delivery framework using Jenkins, CHEF, Maven in Linux environment. -NL-  Responsible for nightly and weekly builds for different modules. -NL-  Worked with Terraform to create AWS components like EC2, IAM, VPC, ELB, Security groups. -NL-  Responsible for configuring management of different application layer modules. -NL-  Creating a fully Automated Build and Deployment Platform and coordinating code builds promotions and -NL- orchestrated deployments using Jenkins/Hudson, and GitHub. -NL-  Developed Python Scripts to automate various system tasks, OS patches for dev environments, and deployment -NL- of applications to testing/prod environments using Python OS modules -NL-  Automated daily manual tasks by running cron jobs using BASH Scripts that report on a user defined frequency -NL- about versatile issues on Linux-based servers -NL-  Involved in several projects involving server migrations / upgrades / patching on both RHEL and Solaris servers -NL-  Tested and configured AWS Workspaces (Windows virtual desktop solution) for custom application requirement. -NL-  Using routers and switches defined and configured physical network topologies. Also, maintained and -NL- troubleshoot network infrastructure issues and TCP/IP Network services -NL-  Experienced in deployment of applications on Apache Web server, Nix and Application Servers like Tomcat, -NL- JBoss. -NL- Environment: Amazon Web Services (AWS) EC2, Route 53, S3, VPC, IAM, Cloud Watch Alarms, Cloud Formation, SNS, -NL- SES, SQS, Git, GitHub, Jenkins, Gradle, Maven, Chef, Python, Nagios, Shell Scripting, MySQL, VMware workstation, -NL- Docker, Docker Hub, VMware workstation, Linux, Unix, Windows, TCP/IP, Kubernetis, Splunk. -NL- Client: **`Pacific Dental Services`[EMPLOYER_COMPANY_NAME]**, Irvine, Ca. -NL- Aug 2017 – Feb 2018 -NL- **`Aws DevOps Engineer`[EMPLOYER_ROLE]** -NL- Responsibilities: -NL-  Interacted with client teams to understand client deployment requests. -NL-  Coordinate with the Development, Database Administration, QA, and IT Operations teams to ensure there are no -NL- resource conflicts. -NL-  Worked closely with Project Managers to understand a code/configuration release scope and how to confirm a -NL- release was successful. -NL-  Implementation of TFS Release management functionality for entire corporate codebases. -NL-  Build, manage, and continuously improved the build infrastructure for global software development engineering -NL- teams including implementation of build scripts, continuous integration infrastructure and deployment tools. -NL-  Created JIRA issues to prioritize and take action on what's important and stayed up to date with what's going on -NL- around the project. -NL-  Defined and Implemented CM and Release Management Processes, Policies and Procedure -NL-  Worked on AWS EC2, IAM, S3, EBS, Elastic Load balancer (ELB), auto scaling group services. -NL-  Implemented continuous integration using Jenkins, Packer. -NL-  Created a best practice Build environment using Jenkins, Packer, immutable instances, and AWS -NL-  Utilize AWS CLI to automate backups of ephemeral data-stores to S3 buckets, EBS and create nightly AMIs for -NL- mission critical production servers as backups. -NL-  Experience in installing Docker using Docker tool box. -NL-  Environment provisioning solutions using Docker. -NL-  Kernel upgrades on both Solaris and RedHat servers. Attach and detach of root mirrors on Solaris during this -NL- process. -NL-  Implemented a Continuous Delivery framework using Jenkins, Puppet, Maven & Nexus in Linux environment. -NL-  Using ANT, Puppet Scripts with Ivy to build the application and deploy -NL-  Source code management is performed using Git from master repository and knowledge on Container management -NL- using Docker in creating images. -NL-  Used Terraform to map more complex dependencies and identify network issue. -NL-  Built Jenkins jobs to create AWS infrastructure from GitHub repos containing terraform code. -NL-  Efficient experience in using Nexus and Art factory Repository managers for Maven builds. -NL-  Familiarity with Kubernetes, Mesos, Docker Swarm. -NL-  Virtualized the servers using the Docker for the test environments and dev-environments needs. And also, -NL- configuration automation using Docker containers. -NL-  Create Jenkins pipeline jobs for Puppet release process for module deployment, using agile methodology for -NL- puppet development. -NL-  Managed Ubuntu Linux and Windows virtual servers on AWS EC2 using Puppet. -NL-  Written Chef Cookbooks for various DB configurations to modularize and optimize end product configuration, -NL- converting production support scripts to Chef Recipes and AWS server provisioning using Chef Recipes. -NL-  Used, vim and sublime editors for developing Chef recipes and puppet classes, creating puppet class ordering -NL- defining reusable methods. -NL-  Used knife command-line to provide an interface between a local Chef-repo and the Chef server. -NL-  Implemented Chef Cookbooks for OS component configuration to keep AWS server’s template minimal and -NL- written recipes and cookbooks for configuring server side through Chef. -NL-  Able to create scripts for system administration and AWS using languages such as BASH and Python. -NL-  Developed automation and deployment utilities using Ruby, Bash, Power Shell, Python and Run deck. -NL-  Well Versed with Configuring Access for inbound and outbound traffic RDS DB services, Dynamo DB tables, -NL- EBS volumes to set alarms for notifications or automated actions. -NL-  Expert Knowledge in Bash Shell Scripting, Automation of cron Jobs. -NL-  Managed Windows user, group, workstation accounts and network applications. Administration of Windows -NL- active directory, DNS and WINS. -NL-  Implemented a GIT mirror for SVN repository, which enables users to use both GIT and SVN. -NL-  Implemented Continuous Integration using Jenkins and GIT. -NL-  Developed build and deployment scripts using ANT and MAVEN as build tools in Jenkins to move from one -NL- environment to other environments. -NL-  Configure and ensure connection to RDS database running on My SQL engines. -NL-  Scripting in multiple languages on UNIX, LINUX and Windows - Batch, Shell script. -NL-  Responsible for Plug in Management, User Management, regular incremental backups and regular maintenance for -NL- recovery. -NL- Environment: AWS (EC2, VPC, ELB, S3, RDS, Cloud Trail and Route 53), GIT, VPC, Route53, IIS, EBS, SQL,ELB, -NL- ECL, Cloud watch, Cloud Formation, Docker, Jira, AWS CLI, AWS Auto Scaling, Unix/Linux, Shell scripting. -NL- Client: **`John Deere`[EMPLOYER_COMPANY_NAME]**, Columbia, Md. -NL- Oct 2015 - July 2017 **`DevOps Engineer`[EMPLOYER_ROLE]** -NL- Responsibilities: -NL-  Working for Dev Ops Platform team responsible for specialization areas related to Cloud Automation. -NL-  Organized and Co-Ordinated Product Releases, work closely with product development, QA, Support across global -NL- locations to ensure successful releases. -NL-  Implemented rapid-provisioning and life-cycle management for Ubuntu Linux using Amazon EC2, and custom -NL- Ruby/Bash scripts. -NL-  Designed, configured and deployed multiple applications utilizing the Amazon Web Services focusing on high- -NL- availability, Auto-Scaling and defined IAM, Security Groups in AWS. -NL-  Automated the cloud deployments using Python and AWS Cloud Formation Templates. -NL-  Well versed in planning, designing, developing infrastructure automation puppet for build and release process, -NL- Developed automation framework for Application Deployments to the cloud environments. -NL-  Developed test scripts for puppet modules using beakers, ruby framework, planned and developed BDD TDD -NL- scripts. Developed deployment, configurations, provisioning all the middleware products using puppet and ruby. -NL-  Improving Continuous Integration workflow using Virtual Environments like Docker and automated Build process -NL- using Docker and similar tools. -NL-  Installed, Configured, Administered Jenkins Continuous Integration Tool also automated Continuous Build and -NL- deploys Scripts for Jenkins. -NL-  Wrote ANT Scripts to automate the build process, provided ANT build script for building and deploying the -NL- application. -NL-  Able to manage artifacts using Nexus Antifactory management tool, POWESHELL. -NL-  Integration of Automated Build with Deployment Pipeline. Currently installed Chef Server and clients to pick up -NL- the Build from Jenkins repository and deploy in target environments (Integration, QA, and Production). -NL-  Branching, Tagging, Release Activities on Version Control Tool GIT and developed Custom Scripts to monitor -NL- repositories, Server storage. -NL-  Attended daily stand up meetings, bug-scrub meetings, Sprint planning meetings and Weekly release health check- -NL- up meetings as best practices of agile environment. -NL-  Troubleshooting Build and Deploy Issues, with little downtime. -NL-  Created detailed documentation of complex build and release process for Demand ware, post release activities -NL- process, JIRA workflow and Release notes. -NL- Environment: ANT, MAVEN, Chef, AWS, GitHub, Jenkins, Puppet, Python, Data Bag, Cloud Watch, Red hat Linux, -NL- UNIX, Windows servers, EC2, S3, RDS, ELB, EBS, Cloud Formation, Puppet, IIS, Antifactory, ELK, Maven, Gradle. -NL- Client: **`Goldman Sachs`[EMPLOYER_COMPANY_NAME]**, Chicago, IL -NL- Dec 2012 - Sep 2015 -NL- Build and Release Engineer -NL- Responsibilities: -NL-  Build, manage, and continuously improved the build infrastructure for global software development engineering -NL- teams including implementation of build scripts, continuous integration infrastructure and deployment tools. -NL-  Management of customer requirements and documentation of the Project Plan as per the requirements. -NL-  Installed and customized rational tools like Clear Case and Clear Quest, support and maintenance of these tools. -NL-  Designed and implemented Subversion and CVS metadata including elements, labels, attributes, triggers and -NL- hyperlinks. -NL-  Implemented & maintained the branching, merging and build/release strategies utilizing Subversion/CVS. -NL-  Assisted Migrating code base from CVS to Subversion Client. -NL-  Used ANT as a build tool on java projects for the development of build artifacts on the source code. -NL-  Wrote ANT Scripts to automate the build process. Configured Bamboo for doing the build in all the non- -NL- production and production environments. -NL-  Defined dependencies and plug-ins in Maven pom.xml for various activities and integrated Maven with GIT to -NL- manage and deploy project related tags. -NL-  Set-up and configure Bamboo, created Jobs for automating build and deploy activities. -NL-  Worked on Antifactory repository to maintain artifacts and used as a local repository. -NL-  Build artifacts (war and ear) and deployed into a Web Logic server by integrating the WLST scripts to Shell -NL- Scripts. -NL-  Executed user administration and maintenance tasks including creating users, groups, reports and queries. -NL-  Worked as a system administrator for the build and deployments process on the enterprise server. -NL-  Experienced in integrating J unit, finding bugs, check style, code analysis and testing during the build. -NL-  Integrated Eclipse with Selenium Server for doing the automated smoke testing of the application standalone. -NL-  Created a change requests, work orders and problem tickets using BMC Remedy tool and getting approvals from -NL- higher officials. -NL-  Prepared servers for Oracle RAC installation, which includes tuning the kernel, agent installation. -NL-  Involved in periodic archiving and storage of the source code for disaster recovery. -NL- Environment: Linux, UNIX, SVN, CVS, Tomcat, JBoss, Bamboo, Clear Case, Subversion, JIRA, Shell, Perl, MS SQL -NL- Server, Web Logic, Eclipse, Remedy, Oracle. -NL- Worked as **`Software Engineer`[EMPLOYER_ROLE]** from 01/2005 to 02/2008 for **`Ness Technologies`[EMPLOYER_COMPANY_NAME]**. -NL- Worked as **`Sr. Associate`[EMPLOYER_ROLE]** from 03/2008 to 05/2012 for **`Cognizant technology solutions`[EMPLOYER_COMPANY_NAME]**. -NL- 